[Swift-commit] r2790 - usertools/cio/bin

noreply at svn.ci.uchicago.edu noreply at svn.ci.uchicago.edu
Tue Mar 31 14:00:30 CDT 2009


Author: aespinosa
Date: 2009-03-31 14:00:30 -0500 (Tue, 31 Mar 2009)
New Revision: 2790

Added:
   usertools/cio/bin/ifscp.sh
Log:
rename toruscp to ifscp

Added: usertools/cio/bin/ifscp.sh
===================================================================
--- usertools/cio/bin/ifscp.sh	                        (rev 0)
+++ usertools/cio/bin/ifscp.sh	2009-03-31 19:00:30 UTC (rev 2790)
@@ -0,0 +1,18 @@
+#!/fuse/bin/bash
+
+if [ -z "$2" ]; then
+    echo "usage: $0 <FileName> <Path>"
+    echo "usage: $0 hello /dev/shm"
+    exit 1
+fi
+
+FILENAME=$1
+FILEPATH=$2
+echo "Full name : $FILENAME"
+FILE=`basename $FILENAME`
+echo "FILE name: $FILENAME"
+RANK=`/home/zzhang/cio/bin/chtget.rb $FILENAME`
+echo "RANK: $RANK"
+IP=`/home/zzhang/cio/bin/ipcal 10.128.0.0 $RANK`
+echo "IP: $IP"
+/home/zzhang/chirp/bin/chirp_get -a address $IP $FILE $FILEPATH/$FILE


Property changes on: usertools/cio/bin/ifscp.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the Swift-commit mailing list